﻿# -*- coding: utf-8 -*-
#
#緯度を固定して区切った時間の横軸に経度, 縦軸に時間(左が Ls, 右が時間) のホフメラーダイアグラムを書く
# 3次元データも高さを指定することで同じように扱える
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "gphys_time"
require "numru/ggraph"
include NumRu

dir = '..'
dir3d = '../util_s2p-2012-11-06/out'
dirarray = [dir,dir3d]
vnames=[]
vnames3d = []

#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','DDAF_d', 'DTHF_d', 'Eta', 'Ps','Press_top']
#vnames = ['SurfWind']
#vnames = ['KMHF_d']
vnames = ['Ps']
#vnames3d = ['Temp'] #存在しない時はvnames3d=[]とする
#vnames3d = ['Geopotential','V']
vnamearray = [vnames, vnames3d]

#KMHF_dをコンターで上書きするか?(true はする, false はしない)
contourswitchws = true
#contourswitchws = false
#KMHF_d が false のとき, DDAF_dをコンターで上書きするか?(true はする, false はしない)  
#contourswitchdd = true
contourswitchdd = false

figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 3
iyre = 3
lt = [8]#見たい月
#lt = [8,9,10]#見たい月
#divid = [0,4000]#区切り時間. その月の初めからの場合は1番目の要素 に 0 を入れる. 区切る時間は2番目の要素に入れる. dcl の都合上最大区切り時間は 4000
divid = [0,565]
#divid = [0,25]
#divid = [0,73]
#lat = [-60, -30, 50]
lat = [50]#固定する緯度
#lat = [-30]
alt = [400]#3d の場合固定する高度(圧力[Pa])
alt_tmp = [[],alt]#3dか2dをわけるための仮の配列なので何も変更しないこと
if vnamearray[1][0].nil? then
  arraynumax=0
else
  arraynumax=1
end

divhours = dcpam_time_divid(iyrs, iyre, divid, lt)

for arraynum in 0..arraynumax
  for latnum in 0..(lat.length - 1)
    for altnum in 0..(alt.length - 1)
      for ivar in 0..(vnamearray[arraynum].length - 1)
        for imon in 0..(lt.length - 1)
          for hour in 1..(divhours[imon].length - 1)
          
            p 'vname: ' + vnamearray[arraynum][ivar]
         
            system('ruby draw_2D_fit_lat_x-t_with_fit_level.rb ' + dir + ' ' + vnamearray[arraynum][ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[latnum].to_s + ' ' + dirarray[arraynum] + ' ' + divhours[imon][hour - 1].to_s + ' ' + divhours[imon][hour].to_s + ' ' + lt[imon].to_s + ' ' + contourswitchws.to_s + ' '  + contourswitchdd.to_s + ' ' + alt_tmp[arraynum][altnum].to_s)
            system("pdf2ps dcl.pdf dcl.ps")
            system("rm dcl.pdf")
            system("pstoimg -type gif -flip r270 dcl.ps")
            system("convert dcl.gif -trim dcl.gif")
            com = "mv dcl.gif "+figdir+"/dcl_"+vnamearray[arraynum][ivar]+"_x-t"+alt_tmp[arraynum][altnum].to_s+"_"+lat[latnum].to_s+ '_' + "%0#{2}d"%(lt[imon].to_s) + "_"+ "%0#{4}d"%(divhours[imon][hour - 1] - divhours[imon][0]) + "-" + "%0#{4}d"%(divhours[imon][hour] - divhours[imon][0])  + ".gif" 
            system(com)
            com = "mv dcl.ps "+figdir+"/dcl_"+vnamearray[arraynum][ivar]+"_x-t"+alt_tmp[arraynum][altnum].to_s+"_"+lat[latnum].to_s+ '_' + "%0#{2}d"%(lt[imon].to_s) + "_"+ "%0#{4}d"%(divhours[imon][hour - 1] - divhours[imon][0]) + "-" + "%0#{4}d"%(divhours[imon][hour] - divhours[imon][0])  + ".ps" 
            system(com)
          end
        end
      end
    end
  end
end
