﻿# coding: utf-8
#
# 東西平均, Ls を決め打ちして時間平均した加熱率の鉛直プロファイル(p座標) (K/day - level)
# 重ね書き
$LOAD_PATH.push(Dir.pwd)
require 'gphys_const'
require 'gphys_methods'
require "numru/ggraph"
include NumRu

ls_file_dir = '..'
dir = '../util_s2p-2014-06-20/out'
name_var = '_' # 任意の識別子. ファイルネームに入るだけ好きな文字列を入れてよい. _から始める. 例えば AverageSP の場合 _ASP とか

daysOfYear = 0
DaysOfMonth.each do |i|
  daysOfYear += i
end
p 'DEBUG: days in a year: ' + daysOfYear.to_s

figdir = 'figs'
#Dir::mkdir( figdir )

#vnames = ['Temp', 'U', 'MSF', 'QVap', 'ANGMOM', 'DustDensScledOptDep','Dust','DOD067']
vnames = ['DTempDtDryConv','DTempDtDyn','DTempDtMNIR','DTempDtMajCompPhaseChange','DTempDtRadL','DTempDtRadS','DTempDtVDiff']
#vnames = ['DTempDtVDiff']
#vnames = ['DTempDtRadL']
#vnames = ['DTempDtDyn', 'DTempDtMNIR']
#vnames = ['DTempDtMNIR','DTempDtRadL','DTempDtRadS']
#vnames = ['TKE', 'TKEDiss','TKEPBuoy','TKEPShear']
#vnames = ['DOD067','HeatFlux','MomFluxX','MomFluxY']
#vnames = ['SigDot','Geopotential','V']

iyrs = 4
iyre = 4
#iyrs = 1
#iyre = 1
ls_array = ['266','272']
#ls_array = ['86','92']

lat = ['-25']

all_radiation_switch = true # true の場合 RadL, RadS, MNIR を一つのものにまとめる
#all_radiation_switch  = false
check_buget_switch = true # true の場合 DTempDt をすべて足してみる Budget を出力する
#check_buget_switch = false # true の場合 DTempDt をすべて足してみる Budget を出力する

if all_radiation_switch
  vname_new = []
  vnames.each do |vname|
    if vname == 'DTempDtMNIR' || vname == 'DTempDtRadL' || vname == 'DTempDtRadS'
      vname_new << 'AllRadiation'
    else
      vname_new << vname
    end
  end
  vname_new.uniq!
  vnames = vname_new
end

tmp_switch = false
if check_buget_switch
  vname_new = []
  vnames.each do |vname|
    if vname =~ /DTempDt*/
      tmp_switch = true
    end
    vname_new << vname
  end
  if tmp_switch
    vname_new << 'Budget'
  end
  vname_new.uniq!
  vnames = vname_new
end


#for ivar in 0..(vnames.length-1)
#  for imon in 1..12
    #p vnames[ivar] + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s 
for ilat in 0..(lat.length-1)
    p vnames.join("_") + ' at Year: ' + iyrs.to_s + ' to ' + iyre.to_s + 'at Latitude:' + lat[ilat].to_s

    system('ruby draw_3D_zm_k_per_day-log.rb ' + dir + ' ' + ls_file_dir  + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[ilat].to_s + ' ' + vnames.join("_") + ' ' + ls_array.join("_"))
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")

    system("dclpsrmcm dcl.ps | dclpsmargin > kari")
    system("mv kari dcl.ps")
    system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif " + figdir + "/dcl_zm_k_per_day-log"+name_var + '_lat' + lat[ilat].to_s+ '_' + ls_array[0].to_s + "-" + ls_array[1].to_s+".gif" )
    system(com)
    com = sprintf( "mv dcl.ps " + figdir + "/dcl_zm_k_per_day-log"+name_var + '_lat' + lat[ilat].to_s+ '_' + ls_array[0].to_s + "-" + ls_array[1].to_s+".ps" )
    system(com)
end
#  end
#end
