﻿# -*- coding: utf-8 -*-
$LOAD_PATH.push(Dir.pwd)
require "gphys_const_v1.1"
require "gphys_time"
require "numru/ggraph"
require "gphys_draw"
include NumRu

dir = '..'
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','Tau']
#vnames = ['Ps']
vnames = ['DDAF_d','DTHF_d']
#vnames = ['KMHF_d']


figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 3
iyre = 3
lt = [10]#見たい月
#lt = [8,9,10]#見たい月
#divid = [0,4000]#区切り時間. その月の初めからの場合は1番目の要素 に 0 を入れる. 区切る時間は2番目の要素に入れる. dcl の都合上最大区切り時間は 4000
divid = [0,25]
#divid = [0,73]
#lat = [60,-30,-50]
#lat = [50,-30]#固定する緯度
#lat = [-30,50]
#lat = [-30]
#lon = [90,270]
#lon = [90]
divhours = time_dis(iyrs, iyre, divid, lt)

lon = 326.79

#if vname = "KMHF_d" then
#  pat = 1.0e-10
#elsif vname = "NewmanF_d" then
#  pat = 1.0e-10
#end

for ivar in 0..(vnames.length - 1)
  p "test1"
  gphys = GPhys::IO.open(dir + '/' + vnames[ivar]+'.nc', vnames[ivar])
  for imon in 0..(lt.length - 1)
    p 'ls = '+lt[imon].to_s
    for hour in 1..(divhours[imon].length - 1) 
      gphyscut = dcpam_time_1D(divhours[imon][hour - 1], divhours[imon][hour], lon, gphys)
    end
    p "test2"

    time = NArray.sfloat(25).indgen
    #< DCLのオープンと設定 >
    DCL.gropn(2)
    DCL.grfrm
    #DCL.sldiv('y',2,2)           # 2x2に画面分割, 'y'=yoko: 左上→右上→左下...
    DCL.sgpset('lcntl', false)   # 制御文字を解釈しない
    DCL.sgpset('lfull',true)     # 全画面表示
    DCL.uzfact(0.75)             # 座標軸の文字列サイズを 0.75 倍
    DCL.sgpset('lfprop',true)    # プロポーショナルフォントを使う

    #DCL::usspnt(time, timenum)
    #DCL::uspfit
    #DCL::grstrf
    DCL::ussttl('Time','hours','dust devil dust lifting', ' ') 
    #DCL::usdaxs
    #DCL::uulin(time[0..-1],timenum[0..-1])
    #DCL.usgrph(time[0..-1],timenum[0..-1])
    p gphyscut
    p gphyscut.val
    GGraph.line(gphyscut)
    DCL::grcls
    #          dcpam_timenum_draw(timenum)         
    system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
    system("mv kari dcl.ps")

    system("pstoimg -type gif -flip r270 dcl.ps")
    com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_localtime_"+ "%0#{2}d"%(lt[imon].to_s) +".gif" 
    system(com)
    com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_localtime_"+ "%0#{2}d"%(lt[imon].to_s)+".ps" 
    system(com)
  end
end
