﻿# -*- coding: utf-8 -*-
# 2次元変数の緯度固定東西平均量
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "numru/ggraph"
include NumRu

dir = '../../dcpam_M_dust_T21L36_const_0.3_20140630_AverageSP_37-48_MPI'
dir2 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_ZonalMean_37-48_MPI'
dir3 = '../../dcpam_M_dust_T21L36_const_0.3_20140630_OnlyTop_37-48_MPI'
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'NewmanF_d', 'TauXB', 'TauYB','Tau']
#vnames = ['SurfTemp', 'OLRA', 'KMHF_d', 'Tau']
#vnames = ['SurfTemp', 'KMHF_d', 'NewmanF_d','SurfMajCompIce','DDAF_d','DTHF_d','Sens','SurfDustGravSedFlux','Press_top','Eta','Ps', 'Tau']
#vnames = ['DDAF_d','Sens','Eta']
vnames = ['SensB']
#vnames = ['Ps']
#vnames = ['SurfTemp']
#vnames = ['SurfWind']
#vnames = ['Ps', 'Tau', 'SurfTemp'] 
#vnames = ['KMHF_d', 'NewmanF_d']
figdir = 'figs'
#Dir::mkdir( figdir )
#lat = [-15, -20, -25, -30, 15, 20, 25, 30]
lat = [-25,25]


iyrs = 11
iyre = 20
#iyrs = 1
iyrs = 4
iyre = 4
#iyrs = 1
#iyre = 1
#iyrs = 2
#iyre = 2

p vnames.length-1
for ivar in 0..(vnames.length-1)
    
  for lat_num in 0..(lat.length-1)
    p 'vname: ' + vnames[ivar]

    system('ruby draw_2D_fit_lat_zm_val-t.rb ' + dir + ' '  + dir2 + ' ' + dir3 + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[lat_num].to_s)
    system("pdftk dcl.pdf cat 1-endeast output kari")
    system("pdf2ps kari dcl.ps")
    system("rm dcl.pdf")

    #system("dclpsrmcm dcl.ps | dclpsrot | dclpsmargin > kari")
    system("dclpsrmcm dcl.ps | dclpsmargin > kari")
    system("mv kari dcl.ps")

    #system("pstoimg -type gif -flip r270 dcl.ps")
    system("pstoimg -type gif dcl.ps")
    system("convert dcl.gif -trim dcl.gif")
    com = sprintf( "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+'_fit_lat' + lat[lat_num].to_s + '_zm_val-t.gif' )
    system(com)
    com = sprintf( "mv dcl.ps  "+figdir+"/dcl_"+vnames[ivar]+'_fit_lat'+ lat[lat_num].to_s + '_zm_val-t.ps'  )
    system(com)
  end
end
