﻿# -*- coding: utf-8 -*-
#
# 緯度経度を固定した鉛直-時間断面 
$LOAD_PATH.push(Dir.pwd)
require "gphys_const"
require "gphys_time"
require "numru/ggraph"
include NumRu

dir = '../util_s2p-2012-11-06/out'
#vnames=[]
vnames = ['Temp'] 

#KMHF_dをコンターで上書きするか?(true はする, false はしない)
#contourswitch = true
contourswitch = false

figdir = 'figs'
#Dir::mkdir( figdir )


iyrs = 3
iyre = 3
lt = [0, 8, 9,10]
#lt = [8]#見たい月
#lt = [8,9,10]#見たい月
divid = [0,4000]#区切り時間. その月の初めからの場合は1番目の要素 に 0 を入れる. 区切る時間は2番目の要素に入れる. dcl の都合上最大区切り時間は 4000
#divid = [0,25]
#lat = [60,-30,-50]
lat = [50,10,-30]#固定する緯度
lon = [30, 240, 270, 290]
mean = true

if mean then
  lon = [nil]
end

divhours = dcpam_time_divid(iyrs, iyre, divid, lt)

for latnum in 0..(lat.length - 1)
  for ivar in 0..(vnames.length - 1)
    for imon in 0..(lt.length - 1)
      for hour in 1..(divhours[imon].length - 1)
        for lonnum in 0..(lon.length-1)          
          p 'lon: '+ lon[lonnum].to_s+'vname: ' + vnames[ivar]
         
          system('ruby draw_3D_z-t.rb ' + dir + ' ' + vnames[ivar] + ' ' + iyrs.to_s + ' ' + iyre.to_s + ' ' + lat[latnum].to_s + ' ' + divhours[imon][hour - 1].to_s + ' ' + divhours[imon][hour].to_s + ' ' + lt[imon].to_s + ' ' + contourswitch.to_s + ' ' + lon[lonnum].to_s)
system("pdf2ps dcl.pdf dcl.ps")
system("rm dcl.pdf")
          system("pstoimg -type gif -flip r270 dcl.ps")
system("convert dcl.gif -trim dcl.gif")
          if lon[lonnum].nil? then
            lonname = 'mean'
          else
            lonname = lon[lonnum].to_s
          end
          com = "mv dcl.gif "+figdir+"/dcl_"+vnames[ivar]+"_z-t_"+lonname+"_"+lat[latnum].to_s+ '_' + lt[imon].to_s + "_"+ "%0#{4}d"%(divhours[imon][hour - 1] - divhours[imon][0]) + "-" + "%0#{4}d"%(divhours[imon][hour] - divhours[imon][0])  + ".gif" 
          system(com)
          com = "mv dcl.ps "+figdir+"/dcl_"+vnames[ivar]+"_z-t_"+lonname+"_"+lat[latnum].to_s+ '_' + lt[imon].to_s + "_"+ "%0#{4}d"%(divhours[imon][hour - 1] - divhours[imon][0]) + "-" + "%0#{4}d"%(divhours[imon][hour] - divhours[imon][0])  + ".ps" 
          system(com)
        end
      end
    end
  end
end
