﻿#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
#これはTauXB.ncとTauYB.ncから|Tau|を作るスクリプトである
# -*- coding: utf-8 -*-
# 2014/11/20 荻原弘尭
# 質量流線関数を作成するスクリプト

#-------------宣言文-------------------
$LOAD_PATH.push(Dir.pwd)
require '../gphys_const'
require '../gphys_methods'
require "numru/gphys"
include NumRu
include Math

#-------------時間計測-----------------
t0 = Time.now
t2 = Process.times
#-------------ファイル定義--------------
dir = "../../util_s2p-2014-06-20/out/"
value = "V"

#-------------変数定義-------------------
gphys = GPhys::IO.open(dir+value+".nc", value)
#make_msf(gphys, 'lat', 'level')
make_mean_zm_msf(gphys, 'lat', 'level')

#------------時間計測終了--------------
t1 = Time.now
t3 = Process.times

puts "real time is #{t1 - t0} sec"
puts "real time with minute is #{(t1 - t0)/60.0} min"
puts "real time with hour is #{(t1-t0)/(3600.0)} hour"
puts "user time is #{t2.utime - t3.utime} sec"
puts "subuser time is #{t2.cutime - t3.cutime} sec"
puts "subprocess time is #{t2.cstime - t3.cstime} sec"
